Subject: Re: bug#23001: emacs in X has icons missing and throws warnings in tty

From: Chris Marusich <[email-masked]>
Date: Mon, 04 Apr 2016 21:14:54 -0700

myglc2 <[email-masked]> writes:

> Chris Marusich <[email-masked]> writes:
>
>> Also, are your XDG environment variables set correctly?  See the
>> following email thread, which seems related to your issue:
>>
>> https://lists.gnu.org/archive/html/guix-devel/2016-01/msg00764.html
>>
>> I hope that helps,
>
> Thanks. Don't know. I looked at ...
>
> https://lists.gnu.org/archive/html/guix-devel/2016-01/msg00764.html
>
> ... and I have these vars ...
>
> env | grep XDG
> XDG_SESSION_ID=114
> XDG_DATA_DIRS=/gnu/store/jswsfkynf6msmsbvsh2d7hnf4wym6pm9-glib-2.46.1/share:/gnu/store/wmcakj4kvmqs5l5hzbf7iqpxy6gkxkwr-gtk+-3.18.2/share:/gnu/store/xiniqmgmyjj4k85dv07l41ay6lhwk7gp-emacs-24.5/share:/gnu/store/jswsfkynf6msmsbvsh2d7hnf4wym6pm9-glib-2.46.1/share:/gnu/store/wmcakj4kvmqs5l5hzbf7iqpxy6gkxkwr-gtk+-3.18.2/share:/gnu/store/xiniqmgmyjj4k85dv07l41ay6lhwk7gp-emacs-24.5/share
> XDG_RUNTIME_DIR=/run/user/1001
>
> ... but I don't have the 'XDG_CONFIG_DIRS' var shown in that post.
>
> BTW, since I posted the bug I switched to running Guix/Debian. The same
> icons are missing and I still get similar error messages ...

I see.  What if you try setting GTK_DATA_PREFIX [1] to the profile where you
installed the themes?  I don't know if that will work; it's just a guess.

[1] https://developer.gnome.org/gtk3/stable/gtk-running
"GTK_DATA_PREFIX.  If set, makes GTK+ use $GTK_DATA_PREFIX instead of
the prefix configured when GTK+ was compiled."

-- 
Chris